## eqonomize 0.6

=== CMakeLists.txt ===
project(eqonomize)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(po)

=== doc/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES})

########### install files ###############

add_subdirectory(en)
add_subdirectory(fr)

=== po/CMakeLists.txt ===
# Search KDE installation
FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
ENDIF (NOT GETTEXT_MSGFMT_EXECUTABLE)

FILE(GLOB _po_files *.po)

SET(_gmoFiles)

FOREACH(_current_PO_FILE ${_po_files})
   GET_FILENAME_COMPONENT(_lang ${_current_PO_FILE} NAME_WE)
   SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME eqonomize.mo)
   LIST(APPEND _gmoFiles ${_gmoFile})
ENDFOREACH(_current_PO_FILE)
ADD_CUSTOM_TARGET(pofiles ALL DEPENDS ${_gmoFiles})

=== src/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES})

########### next target ###############

set(eqonomize_SRCS
    main.cpp
    eqonomize.cpp
    account.cpp
    transaction.cpp
    budget.cpp
    recurrence.cpp
    security.cpp
    kdateedit.cpp
    kdatepickerpopup.cpp
    eqonomizemonthselector.cpp
    eqonomizevalueedit.cpp
    categoriescomparisonchart.cpp
    overtimechart.cpp
    categoriescomparisonreport.cpp
    importcsvdialog.cpp
    overtimereport.cpp
    editscheduledtransactiondialog.cpp
    editsplitdialog.cpp
    ledgerdialog.cpp
    recurrenceeditwidget.cpp
    transactioneditwidget.cpp
    transactionfilterwidget.cpp
    transactionlistwidget.cpp
    qifimportexport.cpp)

kde4_add_app_icon(eqonomize_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-eqonomize.png")

kde4_add_executable(eqonomize ${eqonomize_SRCS})

target_link_libraries(eqonomize ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KHTML_LIBS})

install(TARGETS eqonomize ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES  eqonomizeui.rc DESTINATION ${DATA_INSTALL_DIR}/eqonomize)
install(FILES  eqonomize.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  x-eqonomize.desktop DESTINATION ${MIME_INSTALL_DIR}/application)

kde4_install_icons(${ICON_INSTALL_DIR})

=== doc/en/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############


kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR eqonomize)
install( FILES accounts-view.png ask-save.png confirm-schedule.png csv-columns.png edit-budget.png expenses-view.png new-account.png new-security.png qif-date-format.png recurrence.png refund.png schedule-view.png securities-view.png security-buy.png split-transaction.png DESTINATION ${HTML_INSTALL_DIR}/en/eqonomize)

=== doc/fr/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES})


########### install files ###############

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr SUBDIR eqonomize)

=== debian/changelog ===
eqonomize (0.6-7) unstable; urgency=low

  * debian/rules: Added build-{arch,indep} targets as Lintian recommends.

 -- Frank S. Thomas <fst@debian.org>  Mon, 05 Sep 2011 22:34:07 +0200

eqonomize (0.6-6) unstable; urgency=low

  * debian/patches/: Added 204_bump_doctype_version.patch to fix FTBFS
    with kdoctools 4.6. Patch taken from kdesvn. (closes: #628327)
  * Bumped Standards-Version from 3.8.4 to 3.9.2, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Sun, 29 May 2011 10:07:37 +0200

eqonomize (0.6-5) unstable; urgency=low

  * Update location of KDE 4 HTML documentation. (closes: #584158)
  * Switched to source format "3.0 (quilt)".
  * Bumped Standards-Version from 3.8.3 to 3.8.4, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Thu, 03 Jun 2010 15:21:01 +0200

eqonomize (0.6-4) unstable; urgency=low

  * debian/copyright: Refer to the versioned license files.
  * debian/patches/: Added 203_fix_typo_in_desktop_file.patch.
    (closes: #550040)
  * debian/control: Bumped Standards-Version from 3.8.1 to 3.8.3, no changes
    required.

 -- Frank S. Thomas <fst@debian.org>  Sat, 10 Oct 2009 13:22:35 +0200

eqonomize (0.6-3) unstable; urgency=low

  * debian/manpages/eqonomize.xml: Updated from DocBook 4.4 to 4.5, which is
    the latest version in Lenny.
  * debian/control: Bumped Standards-Version from 3.8.0 to 3.8.1, no changes
    required.
  * Use dh's override feature and quilt's new debhelper addon to further
    simplify debian/rules. Bumped the build-dependencies of debhelper to
    (>= 7.0.50) and of quilt to (>= 0.46-7) for this change.

 -- Frank S. Thomas <fst@debian.org>  Sun, 24 May 2009 11:32:36 +0200

eqonomize (0.6-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/: Added descriptions to patch files.

 -- Frank S. Thomas <fst@debian.org>  Wed, 18 Feb 2009 18:03:50 +0100

eqonomize (0.6-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed 101_dont_crash_at_concurrent_transactions.patch.
    - Removed 102_save_weekly_recurrences_properly.patch.
    - Refreshed 202_fix_ftbfs_with_gcc4.3.patch.
  * debian/control:
    - Replaced autotools build-dependencies by cmake and kdelibs4-dev by
      kdelibs5-dev.
    - Added ${misc:Depends} to the packages' Depends field to appease Lintian.
  * Updated debian/rules and debian/*.install for the new build system.
  * debian/copyright: Updated for the new release.

 -- Frank S. Thomas <fst@debian.org>  Thu, 25 Dec 2008 11:12:33 +0100

eqonomize (0.5-7) unstable; urgency=low

  * debian/rules:
    - Do not make build-stamp a phony target by having a phony target as
      prerequisite. This prevents that configure is invoked twice.
    - Do not clean *-stamp files by hand since debhelper V7 does this for us.

 -- Frank S. Thomas <fst@debian.org>  Thu, 17 Jul 2008 08:27:55 +0200

eqonomize (0.5-6) unstable; urgency=low

  * debian/manpages/eqonomize.xml: Fixed the hyphen-used-as-minus-sign issue
    that Lintian reported.
  * debian/control:
    - Updated Vcs fields since eqonomize is now maintained in Git.
    - Bumped Standards-Version from 3.7.3 to 3.8.0, no changes required.
  * debian/copyright: Rewrote it in the machine-interpretable format which is
    specified in http://wiki.debian.org/Proposals/CopyrightFormat.
  * Switched from CDBS to debhelper 7.
  * Use quilt for patch management and added a corresponding
    debian/README.source file.
  * debian/patches/101_dont_crash_at_concurrent_transactions.patch: Added from
    upstream's CVS repository so that Eqonomize! does not crash if planned
    transactions occur on the same date. (closes: #487618)

 -- Frank S. Thomas <fst@debian.org>  Mon, 23 Jun 2008 19:44:31 +0200

eqonomize (0.5-5) unstable; urgency=low

  * src/eqonomize.desktop: Removed the deprecated Encoding key. Refer to
    http://standards.freedesktop.org/desktop-entry-spec/1.0/apc.html for
    details.
  * debian/manpages/eqonomize.xml: Updated from DocBook 4.2 to 4.4, which is
    the latest version in etch.
  * debian/rules: Run the autotools in the autoreconf-stamp target instead of
    CDBS' post-patches target to avoid that configure runs twice. Refer to
    #462382 for details.

 -- Frank S. Thomas <fst@debian.org>  Thu, 14 Feb 2008 13:27:23 +0100

eqonomize (0.5-4) unstable; urgency=low

  * src/recurrence.cpp: Applied patch from upstream's bug tracker to save
    weekly recurrences properly. (closes: #457893)

 -- Frank S. Thomas <fst@debian.org>  Thu, 27 Dec 2007 08:52:54 +0100

eqonomize (0.5-3) unstable; urgency=low

  * src/budget.h: Explicitly include the <sys/types.h> header which defines
    mode_t. This fixes a FTBFS with GCC 4.3. Thanks to Martin Michlmayr for
    the bug report. (closes: #455660)

 -- Frank S. Thomas <fst@debian.org>  Tue, 11 Dec 2007 09:40:07 +0100

eqonomize (0.5-2) unstable; urgency=low

  * debian/eqonomize.menu: Changed section for the new menu hierarchy from
    "Apps/Tools" to "Applications/Office".
  * debian/control:
    - Moved Homepage pseudo field in the long descriptions to the source
      stanza because this is now a propper control field supported by dpkg.
    - Bumped Standards-Version from 3.7.2 to 3.7.3, the only change required
      for the bump is the new section in eqonomize's menu file (see above).
    - Changed my maintainer address to fst@debian.org.

 -- Frank S. Thomas <fst@debian.org>  Wed, 05 Dec 2007 02:03:33 +0100

eqonomize (0.5-1) unstable; urgency=low

  * New upstream release.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun, 17 Jun 2007 14:21:21 +0200

eqonomize (0.4-1) unstable; urgency=low

  * New upstream release.
  * Updated libtool scripts to prune unnecessary library dependencies.
  * debian/copyright: Removed full text of the GFDL 1.2 and added pointer to
    /usr/share/common-licenses/GFDL-1.2.
  * Added debian/examples/housekeeping_book.eqz which demonstrates the very
    basic features of Eqonomize! and install it as example in the eqonomize


=== debian/control ===
Source: eqonomize
Section: kde
Priority: optional
Maintainer: Frank S. Thomas <fst@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50), cmake, docbook2x, docbook-xml,
 kdelibs5-dev (>= 4:4.4.4)
Vcs-Git: git://git.debian.org/git/collab-maint/eqonomize.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/eqonomize.git
Homepage: http://eqonomize.sourceforge.net/

Package: eqonomize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: eqonomize-doc
Description: personal accounting software for the small household economy
 Eqonomize! is a personal accounting software for KDE, with focus on
 efficiency and ease of use for the small household economy. It
 provides a complete solution, with bookkeeping by double entry and
 support for scheduled recurring transactions, security investments,
 and budgeting. It gives a clear overview of past and present
 transactions, and development of incomes and expenses, with
 descriptive tables and charts, as well as an approximation of future
 account values.

Package: eqonomize-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: eqonomize, khelpcenter4
Description: documentation for the Eqonomize! accounting software
 Eqonomize! is a personal accounting software for KDE, with focus on
 efficiency and ease of use for the small household economy.
 .
 This package contains the Eqonomize! Handbook.

=== debian/rules ===
#!/usr/bin/make -f

# Comment out to compile/test with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp

LDFLAGS += -Wl,--as-needed

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh build
	docbook2x-man debian/manpages/eqonomize.xml
	touch $@

override_dh_auto_configure:
	-mkdir build-dir
	cd build-dir && \
	cmake .. \
	  -DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DCMAKE_SKIP_RPATH=true \
	  -DCMAKE_VERBOSE_MAKEFILE=true

override_dh_auto_build:
	cd build-dir && make

clean:
	rm -rf build-dir/
	dh clean
	dh_clean \
	  eqonomize.1

install: build install-stamp
install-stamp:
	dh install --until dh_install
	# Remove the Eqonomize! Handbook from the eqonomize package.
	rm -rf debian/eqonomize/usr/share/doc/kde
	dh install --remaining
	touch $@

override_dh_auto_install:
	cd build-dir && make install DESTDIR=../debian/tmp/

override_dh_compress:
	dh_compress -X.docbook

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

=== debian/watch ===
version=3
http://sf.net/eqonomize/ eqonomize-([\d\.]+)\.tar\.gz

## eqonomize 1.2.0

=== debian/changelog ===
eqonomize (1.2.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Build with Qt 5 (Closes: #874860).
  * Remove eqonomize-doc's recommendation of khelpcenter4 (Closes: #886536).
  * Update Homepage field in debian/control.
  * Update debian/copyright.
  * Update debian/watch.
  * Update eqonomize[-doc].install files (Closes: #875530).
  * Upgrade to debhelper compat level 11.
  * Upgrade to Standards-Version 4.1.3 in debian/control (no changes).
  * Update patches.
  * Enable hardening flags in debian/rules.
  * Add doc-base registration file for eqonomize-doc.
  * Add 03-fix-spelling.patch.
  * Update Vcs-Git and Vcs-Browser fields in debian/control.
  * Mark eqonomize-doc as Multi-Arch: foreign.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 02 Apr 2018 14:43:28 +0200

eqonomize (0.6-8) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Drop menu file and its pixmaps, since eqonomize already provides a
    .desktop file.
  * Rewrite rules to use the dh sequencer with compat 9:
    - bump the debhelper build dependency to >= 9
    - bump compat to 9
    - use the kde dh addon, adding the pkg-kde-tools build dependency for it
    - tweak eqonomize.install to avoid copying&removing the documentation
  * Update Vcs-* fields.
  * Enable parallel build.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Convert copyright to copyright-format v1.0, and fix it.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jul 2016 08:28:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,19 @@
 Source: eqonomize
 Section: kde
 Priority: optional
-Maintainer: Frank S. Thomas <fst@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50), cmake, docbook2x, docbook-xml,
- kdelibs5-dev (>= 4:4.4.4)
-Vcs-Git: git://git.debian.org/git/collab-maint/eqonomize.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/eqonomize.git
-Homepage: http://eqonomize.sourceforge.net/
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11),
+               docbook2x,
+               docbook-xml,
+               pkg-kde-tools,
+               qt5-qmake,
+               qtbase5-dev,
+               qtbase5-dev-tools,
+               libqt5charts5-dev
+Vcs-Git: https://salsa.debian.org/Debian/eqonomize.git
+Vcs-Browser: https://salsa.debian.org/Debian/eqonomize
+Homepage: https://eqonomize.github.io/
 
 Package: eqonomize
 Architecture: any
@@ -26,8 +32,9 @@
 Package: eqonomize-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: eqonomize, khelpcenter4
+Recommends: eqonomize
 Description: documentation for the Eqonomize! accounting software
  Eqonomize! is a personal accounting software for KDE, with focus on
  efficiency and ease of use for the small household economy.

## eqonomize 1.3.1

=== debian/changelog ===
eqonomize (1.3.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update patches:
     - Delete 00-rm-encoding-from-desktop-file.patch (fixed upstream).
     - Delete 02-bump-doctype-version.patch (fixed upstream).
     - Delete 03-fix-spelling.patch (fixed upstream).
     - Rename 01-fix-ftbfs-with-gcc4.3.patch to 00-fix-ftbfs-[...].
  * Upgrade to Standards-Version 4.2.1 (no changes).

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 01 Sep 2018 15:46:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 11),
                docbook2x,
                docbook-xml,

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = qt5
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kde --buildsystem=qmake

override_dh_auto_build:
	dh_auto_build
	docbook2x-man debian/manpages/eqonomize.xml

override_dh_clean:
	dh_clean
	rm -f eqonomize.1

## eqonomize 1.4.2

=== debian/changelog ===
eqonomize (1.4.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:30 +0100

eqonomize (1.4.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 14 Sep 2019 14:53:20 +0200

eqonomize (1.4.1-1) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*

  [ Fabian Wolff ]
  * New upstream release.
  * Upgrade to Standards-Version 4.4.0 (no changes).
  * Upgrade to debhelper compat level 12.
  * Update debian/copyright.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 26 Aug 2019 00:37:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12),
                docbook2x,
                docbook-xml,
                pkg-kde-tools,
@@ -11,8 +11,8 @@
                qtbase5-dev,
                qtbase5-dev-tools,
                libqt5charts5-dev
-Vcs-Git: https://salsa.debian.org/Debian/eqonomize.git
-Vcs-Browser: https://salsa.debian.org/Debian/eqonomize
+Vcs-Git: https://salsa.debian.org/debian/eqonomize.git
+Vcs-Browser: https://salsa.debian.org/debian/eqonomize
 Homepage: https://eqonomize.github.io/
 
 Package: eqonomize

## eqonomize 1.5.0

=== debian/changelog ===
eqonomize (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: rearranged Build-Depends field.
  * debian/copyright:
      - Removed BSD-3-Clause license text.
      - Removed create-man.sh block.
  * debian/eqonomize-doc.install: rearranged.
  * debian/eqonomize.manpages: updated manpage path.
  * debian/manpages/: removed, upstream provide a manpage now.
  * debian/patches/:
      - 020-add-desktop-entry-keywords.patch: removed, incorporated upstream.
      - 030-enable-pt-br-translation.patch: removed, incorporated upstream.
      - 040-update-pt-br-translation.patch: removed, incorporated upstream.
  * debian/source/lintian-overrides: removed, not needed anymore.
  * debian/tests/control: last test dropped.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Mon, 24 Aug 2020 20:58:31 -0300

eqonomize (1.4.3-2) unstable; urgency=medium

  * debian/patches/040-update-pt-br-translation.patch: added to fix errors and
    complete pt_BR translation.
  * debian/upstream/io.github.eqonomize.metainfo.xml: added a caption for each
    screenshot.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Tue, 21 Jul 2020 09:44:39 -0300

eqonomize (1.4.3-1) unstable; urgency=medium

  * New maintainer. (Closes: #744738)
  * New upstream release.
    (LP: #119591, #479039, #502391, #519075, #633286, #1806727)
  * debian/control:
      - Added qttools5-dev-tools to Build-Depends field in source stanza to
        enable the build of translation files.
      - Added Rules-Requires-Root field to source stanza.
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.5.0.
      - Removed docbook2x and docbook-xml from Build-Depends field, in source
        stanza, not needed anymore since we're using a different method to
        generate the manpage.
      - Reorganized long description in package stanzas.
  * debian/copyright: updated all data.
  * debian/eqonomize.docs: included README.md and TODO since there's useful
    information to users.
  * debian/eqonomize.manpages: updated.
  * debian/manpages/:
      - create-man.sh: created to make the manpage from the .txt source file.
      - eqonomize.txt: created to provide the source to the manpage.
      - eqonomize.xml: removed. Using .txt as the manpage source now.
  * debian/patches/:
      - Patch renamed to follow a new numeric prefix system.
      - 020-add-desktop-entry-keywords.patch: added.
      - 030-enable-pt-br-translation.patch: added to enable the build of the
        pt_BR translation file.
  * debian/source/lintian-overrides: added to inform the manpage created was
    forwarded to upstream.
  * debian/rules:
      - Added override_dh_auto_configure and override_dh_auto_clean to enable
        the building of translation files.
      - Removed unnecessary DEB_LDFLAGS_MAINT_APPEND flags.
      - Removed unnecessary override_dh_auto_build, using different method to
        generate the manpage now.
      - Removed unnecessary override_dh_clean.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform a trivial CI test.
  * debian/upstream/:
      - io.github.eqonomize.metainfo.xml: created to make available an
        AppStream metadata. Consequently:
           ~ debian/copyright: added a licensing for new file.
           ~ debian/eqonomize.install: included the new file to install on
             /usr/share/metainfo.
      - metadata: created.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Fri, 17 Jul 2020 14:00:24 -0300

=== debian/control ===
Source: eqonomize
Section: kde
Priority: optional
Maintainer: Fabio Augusto De Muzio Tobich <ftobich@gmail.com>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13),
               libqt5charts5-dev,
               pkg-kde-tools,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qttools5-dev-tools
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/eqonomize.git
Vcs-Browser: https://salsa.debian.org/debian/eqonomize
Homepage: https://eqonomize.github.io/

Package: eqonomize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: eqonomize-doc
Description: personal accounting software for the small household economy
 Eqonomize! is a personal accounting software for KDE, with focus on efficiency
 and ease of use for the small household economy. It provides a complete
 solution, with bookkeeping by double entry and support for scheduled recurring
 transactions, security investments, and budgeting. It gives a clear overview
 of past and present transactions, and development of incomes and expenses,
 with descriptive tables and charts, as well as an approximation of future
 account values.

Package: eqonomize-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: eqonomize
Description: documentation for the Eqonomize! accounting software
 Eqonomize! is a personal accounting software for KDE, with focus on efficiency
 and ease of use for the small household economy.
 .
 This package contains the Eqonomize! Handbook.

=== debian/tests/control ===
Test-Command: export XDG_RUNTIME_DIR=$AUTOPKGTEST_TMP/tmp && xvfb-run -a eqonomize -h
Depends: @, xvfb, xauth
Restrictions: superficial

Test-Command: export XDG_RUNTIME_DIR=$AUTOPKGTEST_TMP/tmp && xvfb-run -a eqonomize --help-all
Depends: @, xvfb, xauth
Restrictions: superficial

## eqonomize 1.5.1

=== debian/changelog ===
eqonomize (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/patches/:
      - 020_fix-pt_BR-translation.patch: removed, incorporated upstream.
      - series: updated.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Mon, 07 Dec 2020 13:19:23 -0300

eqonomize (1.5.0-2) unstable; urgency=medium

  * debian/control: added dependency in Build-Depends field to fix FTCBFS.
    Thanks to Helmut Grohne. (Closes: #969003)
  * debian/patches/020_fix-pt_BR-translation.patch: added to fix several errors
    in pt_BR translation.
  * debian/tests/:
      - control: added a third, non superficial, CI test.
      - run: script that runs the third CI test.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Tue, 01 Sep 2020 19:38:13 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: kde
 Priority: optional
 Maintainer: Fabio Augusto De Muzio Tobich <ftobich@gmail.com>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13),
                libqt5charts5-dev,
                pkg-kde-tools,
                qt5-qmake,
+               qt5-qmake:native,
                qtbase5-dev,
                qtbase5-dev-tools,
                qttools5-dev-tools

=== debian/tests/control ===
--- 
+++ 
@@ -5,3 +5,6 @@
 Test-Command: export XDG_RUNTIME_DIR=$AUTOPKGTEST_TMP/tmp && xvfb-run -a eqonomize --help-all
 Depends: @, xvfb, xauth
 Restrictions: superficial
+
+Tests: run
+Depends: @, xvfb, xauth, procps

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%eqonomize-$1.tar.gz%" \
             https://github.com/Eqonomize/eqonomize/releases \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## eqonomize 1.5.2

=== debian/changelog ===
eqonomize (1.5.2-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Mar 2021 17:06:33 -0400

eqonomize (1.5.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: updated dates.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Sat, 20 Mar 2021 22:11:01 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: eqonomize
 Section: kde
 Priority: optional
-Maintainer: Fabio Augusto De Muzio Tobich <ftobich@gmail.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Fabio Augusto De Muzio Tobich <ftobich@gmail.com>
 Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13),
                libqt5charts5-dev,

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = qt5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kde --buildsystem=qmake

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	lrelease Eqonomize.pro
	dh_auto_configure

override_dh_auto_clean:
	rm -f translations/*.qm
	dh_auto_clean

## eqonomize 1.5.3

=== debian/changelog ===
eqonomize (1.5.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright: updated some years.
  * debian/salsa-ci.yml: use Debian recipe for salsa CI.
  * debian/upstream/metadata: removed unknown Homepage field.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 03 Jan 2022 17:00:46 -0300

eqonomize (1.5.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: changed my email in Maintainer field.
  * debian/copyright: changed my email in packaging block.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 16 Aug 2021 13:41:58 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: eqonomize
 Section: kde
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Fabio Augusto De Muzio Tobich <ftobich@gmail.com>
-Standards-Version: 4.5.1
+Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                libqt5charts5-dev,
                pkg-kde-tools,

## eqonomize 1.5.4

=== debian/changelog ===
eqonomize (1.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sat, 10 Dec 2022 19:21:18 -0300

eqonomize (1.5.3-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/watch: updated to fix an error that prevented checking for new
    upstream versions.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 19 Sep 2022 10:00:15 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                libqt5charts5-dev,
                pkg-kde-tools,

## eqonomize 1.5.5

=== debian/changelog ===
eqonomize (1.5.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated some years.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 21 Jul 2023 16:35:56 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                libqt5charts5-dev,
                pkg-kde-tools,

## eqonomize 1.5.6

=== debian/changelog ===
eqonomize (1.5.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:48:23 +1100

eqonomize (1.5.6-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:18:39 +0000

eqonomize (1.5.6-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 11 Dec 2023 09:10:14 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: eqonomize
 Section: kde
 Priority: optional
-Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                libqt5charts5-dev,

## eqonomize 1.5.7

=== debian/changelog ===
eqonomize (1.5.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright: updated some years.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 13 May 2024 08:32:09 -0300

## eqonomize 1.5.8

=== debian/changelog ===
eqonomize (1.5.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: added a licensing for new file.
  * debian/upstream/io.github.eqonomize.metainfo.xml: Updated, several new
    information added.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 14 Oct 2024 09:09:17 -0300

## eqonomize 1.5.9

=== debian/changelog ===
eqonomize (1.5.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: updated some years.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 14 Feb 2025 15:00:30 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: eqonomize
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
-Standards-Version: 4.6.2
+Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
                libqt5charts5-dev,
                pkg-kde-tools,

## eqonomize 1.5.10

=== debian/changelog ===
eqonomize (1.5.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.7.2.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 26 Aug 2025 18:14:30 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                libqt5charts5-dev,
                pkg-kde-tools,

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 %:
 	dh $@ --with kde --buildsystem=qmake
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_configure:
 	lrelease Eqonomize.pro
 	dh_auto_configure

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%eqonomize-$1.tar.gz%" \
             https://github.com/Eqonomize/eqonomize/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## eqonomize 1.5.11

=== debian/changelog ===
eqonomize (1.5.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Rules-Requires-Root field removed. Since is now set to "no"
    by default, as such the field was redundant.
  * debian/watch: converted to version 5.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 11 Nov 2025 18:42:36 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                qtbase5-dev,
                qtbase5-dev-tools,
                qttools5-dev-tools
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/eqonomize.git
 Vcs-Browser: https://salsa.debian.org/debian/eqonomize
 Homepage: https://eqonomize.github.io/

=== debian/watch ===
Version: 5

Template: Github
Owner: Eqonomize
Project: eqonomize

## eqonomize 1.5.12

=== debian/changelog ===
eqonomize (1.5.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Priority field removed. Since is now set to "optional" by default, as
        such the field was redundant.
  * debian/copyright: updated some years.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 26 Jan 2026 11:03:19 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: eqonomize
 Section: kde
-Priority: optional
 Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13),
                libqt5charts5-dev,
                pkg-kde-tools,
